Index: src/sas/sasgui/perspectives/file_converter/converter_panel.py
===================================================================
--- src/sas/sasgui/perspectives/file_converter/converter_panel.py	(revision ed9f87285808f62d344f2b0a8c086bbce09ab338)
+++ src/sas/sasgui/perspectives/file_converter/converter_panel.py	(revision 19296dc93ba96a699f5da7f7227feabcab46932d)
@@ -24,4 +24,5 @@
 from sas.sascalc.file_converter.otoko_loader import OTOKOLoader
 from sas.sascalc.file_converter.bsl_loader import BSLLoader
+from sas.sascalc.file_converter.ascii2d_loader import ASCII2DLoader
 from sas.sascalc.file_converter.nxcansas_writer import NXcanSASWriter
 from sas.sascalc.dataloader.data_info import Detector
@@ -35,5 +36,5 @@
     _STATICBOX_WIDTH = 410
     _BOX_WIDTH = 200
-    PANEL_SIZE = 480
+    PANEL_SIZE = 520
     FONT_VARIANT = 0
 else:
@@ -41,5 +42,5 @@
     _STATICBOX_WIDTH = 430
     _BOX_WIDTH = 200
-    PANEL_SIZE = 500
+    PANEL_SIZE = 540
     FONT_VARIANT = 1
 
@@ -352,4 +353,12 @@
             w.write(frame_data, output_path)
 
+    def convert_2d_data(self, dataset):
+        metadata = self.get_metadata()
+        for key, value in metadata.iteritems():
+            setattr(dataset[0], key, value)
+
+        w = NXcanSASWriter()
+        w.write(dataset, self.output.GetPath())
+
     def on_convert(self, event):
         """Called when the Convert button is clicked"""
@@ -367,4 +376,9 @@
                 qdata, iqdata = self.extract_otoko_data(self.q_input.GetPath())
                 self.convert_1d_data(qdata, iqdata)
+            elif self.data_type == 'ascii2d':
+                loader = ASCII2DLoader(self.iq_input.GetPath())
+                data = loader.load()
+                dataset = [data] # ASCII 2D only ever contains 1 frame
+                self.convert_2d_data(dataset)
             else: # self.data_type == 'bsl'
                 dataset = self.extract_bsl_data(self.iq_input.GetPath())
@@ -372,11 +386,6 @@
                     # Cancelled by user
                     return
-
-                metadata = self.get_metadata()
-                for key, value in metadata.iteritems():
-                    setattr(dataset[0], key, value)
-
-                w = NXcanSASWriter()
-                w.write(dataset, self.output.GetPath())
+                self.convert_2d_data(dataset)
+
         except Exception as ex:
             msg = str(ex)
@@ -399,5 +408,6 @@
     def validate_inputs(self):
         msg = "You must select a"
-        if self.q_input.GetPath() == '' and self.data_type != 'bsl':
+        if self.q_input.GetPath() == '' and self.data_type != 'bsl' \
+            and self.data_type != 'ascii2d':
             msg += " Q Axis input file."
         elif self.iq_input.GetPath() == '':
@@ -472,5 +482,5 @@
         dtype = event.GetEventObject().GetName()
         self.data_type = dtype
-        if dtype == 'bsl':
+        if dtype == 'bsl' or dtype == 'ascii2d':
             self.q_input.SetPath("")
             self.q_input.Disable()
@@ -500,11 +510,13 @@
 
         instructions = (
-        "Select linked single column 1D ASCII files containing the Q-axis and "
-        "Intensity-axis data, or 1D BSL/OTOKO files, or a 2D BSL/OTOKO file, "
-        "then choose where to save the converted file, and click Convert.\n"
-        "1D ASCII and BSL/OTOKO files can be converted to CanSAS (XML) or "
-        "NXcanSAS (HDF5) formats. 2D BSL/OTOKO files can only be converted to "
-        "the NXcanSAS format.\n"
-        "Metadata can be optionally added for the CanSAS XML format."
+        "If converting a 1D dataset, select linked single-column ASCII files "
+        "containing the Q-axis and intensity-axis data, or a 1D BSL/OTOKO file."
+        " If converting 2D data, select an ASCII file in the ISIS 2D file "
+        "format, or a 2D BSL/OTOKO file. Choose where to save the converted "
+        "file and click convert.\n"
+        "One dimensional ASCII and BSL/OTOKO files can be converted to CanSAS "
+        "(XML) or NXcanSAS (HDF5) formats. Two dimensional datasets can only be"
+        " converted to the NXcanSAS format.\n"
+        "Metadata can also be optionally added to the output file."
         )
 
@@ -526,15 +538,18 @@
             wx.ALIGN_CENTER_VERTICAL, 5)
         radio_sizer = wx.BoxSizer(wx.HORIZONTAL)
-        ascii_btn = wx.RadioButton(self, -1, "ASCII", name="ascii",
+        ascii_btn = wx.RadioButton(self, -1, "ASCII 1D", name="ascii",
             style=wx.RB_GROUP)
         ascii_btn.Bind(wx.EVT_RADIOBUTTON, self.datatype_changed)
         radio_sizer.Add(ascii_btn)
+        ascii2d_btn = wx.RadioButton(self, -1, "ASCII 2D", name="ascii2d")
+        ascii2d_btn.Bind(wx.EVT_RADIOBUTTON, self.datatype_changed)
+        radio_sizer.Add(ascii2d_btn)
         otoko_btn = wx.RadioButton(self, -1, "BSL 1D", name="otoko")
         otoko_btn.Bind(wx.EVT_RADIOBUTTON, self.datatype_changed)
         radio_sizer.Add(otoko_btn)
-        input_grid.Add(radio_sizer, (y,1), (1,1), wx.ALL, 5)
         bsl_btn = wx.RadioButton(self, -1, "BSL 2D", name="bsl")
         bsl_btn.Bind(wx.EVT_RADIOBUTTON, self.datatype_changed)
         radio_sizer.Add(bsl_btn)
+        input_grid.Add(radio_sizer, (y,1), (1,1), wx.ALL, 5)
         y += 1
 
@@ -549,5 +564,5 @@
         y += 1
 
-        iq_label = wx.StaticText(self, -1, "Intensity-Axis Data: ")
+        iq_label = wx.StaticText(self, -1, "Intensity Data: ")
         input_grid.Add(iq_label, (y,0), (1,1), wx.ALIGN_CENTER_VERTICAL, 5)
 
@@ -647,5 +662,5 @@
 
     def __init__(self, parent=None, title='File Converter', base=None,
-        manager=None, size=(PANEL_SIZE * 1.05, PANEL_SIZE / 1.1),
+        manager=None, size=(PANEL_SIZE * 0.96, PANEL_SIZE * 0.9),
         *args, **kwargs):
         kwargs['title'] = title
Index: src/sas/sasgui/perspectives/file_converter/file_converter.py
===================================================================
--- src/sas/sasgui/perspectives/file_converter/file_converter.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
+++ src/sas/sasgui/perspectives/file_converter/file_converter.py	(revision 94e3572a4049b0eb0ff0d762a3bce5248a5bd507)
@@ -25,5 +25,5 @@
         Returns a set of menu entries
         """
-        help_txt = "Convert single column ASCII data to CanSAS format"
+        help_txt = "Convert ASCII or BSL/OTOKO data to CanSAS or NXcanSAS formats"
         return [("File Converter", help_txt, self.on_file_converter)]
 
Index: src/sas/sasgui/perspectives/file_converter/media/file_converter_help.rst
===================================================================
--- src/sas/sasgui/perspectives/file_converter/media/file_converter_help.rst	(revision d73998cb7afc31b78a37055063aeb56b7c0d1036)
+++ src/sas/sasgui/perspectives/file_converter/media/file_converter_help.rst	(revision 59decb813fc158fa82cfb6a3f535c957e2030b88)
@@ -18,4 +18,7 @@
 *   Single-column ASCII data, with lines that end without any delimiter,
     or with a comma or semi-colon delimiter
+*   2D `ISIS ASCII formatted
+    <http://www.isis.stfc.ac.uk/instruments/loq/software/
+    colette-ascii-file-format-descriptions9808.pdf>`_ data
 *   `1D BSL/OTOKO format
     <http://www.diamond.ac.uk/Beamlines/Soft-Condensed-Matter/small-angle/
@@ -36,5 +39,5 @@
 
 1) Select the files containing your Q-axis and Intensity-axis data
-2) Choose whether the files are in ASCII, 1D BSL/OTOKO or 2D BSL/OTOKO format
+2) Choose whether the files are in ASCII 1D, ASCII 2D, 1D BSL/OTOKO or 2D BSL/OTOKO format
 3) Choose where you would like to save the converted file
 4) Optionally, input some metadata such as sample size, detector name, etc
@@ -47,5 +50,5 @@
 file, a dialog will appear asking which frames you would like converted. You
 may enter a start frame, end frame & increment, and all frames in that subset
-will be converted. For example, entering 0, 50 and 10 will convert frames 0, 
+will be converted. For example, entering 0, 50 and 10 will convert frames 0,
 10, 20, 30, 40 & 50.
 
@@ -56,9 +59,9 @@
 single file, so there is an option in the *Select Frame* dialog to output each
 frame to its own file. The single file option will produce one file with
-multiple `<SASdata>` elements. The multiple file option will output a separate 
-file with one `<SASdata>` element for each frame. The frame number will also be 
+multiple `<SASdata>` elements. The multiple file option will output a separate
+file with one `<SASdata>` element for each frame. The frame number will also be
 appended to the file name.
 
-The multiple file option is not available when exporting to NXcanSAS because 
+The multiple file option is not available when exporting to NXcanSAS because
 the HDF5 format is more efficient at handling large amounts of data.
 
